/*
 * https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch
 *
 */
async function submitFromJS() {
  // parametry dotazu
  const inputEl = document.querySelector('input[name="brand"]');
  const selectEl = document.querySelector('select[name="support"]');
  console.log('POST question:', inputEl.value, selectEl.value);
  // pokus o získání dat
  try {
    const response = await fetch("/monitory", {
      method: "POST",
      headers: {
        "Content-Type": "application/x-www-form-urlencoded",
      },
      // převede dotaz na tvar "brand=...&support=..."
      body: new URLSearchParams({ 'brand': inputEl.value, 'support': selectEl.value }),
    });
    if (!response.ok) {
      throw new Error(`Response status: ${response.status}`);
    }
    // zpracování vrácených dat
    //console.log('fetch OK:', response)
    const data = await response.text();
    //console.log(data);
    document.querySelector('tbody').innerHTML = data;
  } catch (error) {
    console.error(error.message);
  }
}
